/*******************************************************************************
 * Copyright(c) 2022 dongke All rights reserved. / Confidential
 * 类的信息：
 *		1.程序名称： 
 *		2.库存调库列表 
 * 编辑履历：
 *		作者				日期					版本				修改内容
 *		王英杰		        2022-0-12	            1.00		   	    
 *******************************************************************************/
const Constants = require('@/utils/Constants.js');
const util = require('@/utils/util.js') 
const mixins = require('@/mixins/index.js')
Page({
  mixins: [mixins],
  /**
   * 页面的初始数据 
   */
  data: { 
     // 查询条件
     searchContent: [{
      code: 'makeTime',
      title: mixins.$t('pastThirthtyDays'),//近30天',
      defaultValue: 5,
      searchType: Constants.searchType.date
    } , {
      code: 'choose',
      title: mixins.$t('choose'),//'筛选',
      searchType: Constants.searchType.pick
    }],

   // 查询条件-筛选
   pullMenuList: [{
    code: 'transferType',
    pullType: 'mSelect',
    typeName: 'transferType'
  }, {
    code: 'staffName', 
  }, {
    code: 'orgName', 
  }, {
    code: 'transferNo', 
    title:mixins.$t('adjustmentOrderNumber'),//'调整单号'
  },
  {
    code: 'oWhName', 
    title: mixins.$t('owhid'),//'源仓库'
  },
  {
    code: 'whName', 
    title:  mixins.$t('whid'),//'目标仓库'
  },
  {
    code: 'oNonStdCode', 
    title: mixins.$t('oNonStdCode'),//'源批号'
    tip: mixins.$t('tipPop'),
  },
  {
    code: 'nonStdCode', 
    title: mixins.$t('nonStdCode'),//'目标批号'
    tip: mixins.$t('tipPop'),
  },
  {
    code: 'transferDateW',
    title:  mixins.$t('adjustDate'),//'调整日期',
    dataType: 'date'
  },
  
  {
    code: 'remarks', 
    title:  mixins.$t('remarks'),//'备注'
  },
],


    // // 列表区（脚部金额）
    // footerAmount: {  },
    // // 列表区（脚部信息）
    // footerInfo: [ {
    //   name: 'categoryQuantity',
    //   title: '共计'
    // }, {
    //   name: 'tsumQuantity',
    //   title: '件'
    // }],
   

    contentObj: {
     [ mixins.$t('warehouseAdjustment')]: [  {//仓库调整
        name: 'oWhName',
        title: mixins.$t('owhid'),//'源仓库'
      }, {
        name: 'whName',
        title:  mixins.$t('whid'),//'目标仓库'
      }, {
        name: [{
          name: 'transferOrg',
          title: ''
        }, {
          name: 'transferStaff',
          title: mixins.$t('staffId'),//'业务员'
        }],
        title:  mixins.$t('responsibilityInformation'),//'责任信息'
      }, {
        name: 'transferDate',
        title:  mixins.$t('adjustDate'),//'调整日期',
      }],
      [mixins.$t('batchAdjustment')]: [ {//'批次调整'
        name: 'ononStdCode',
        title: mixins.$t('oNonStdCode'),//'源批号'
      },{
        name: 'nonStdCode',
        title: mixins.$t('nonStdCode'),//'目标批号'
      },  {
        name: [{
          name: 'transferOrg',
          title: ''
        }, {
          name: 'transferStaff',
          title: mixins.$t('staffId'),//'业务员'
        }],
        title:  mixins.$t('responsibilityInformation'),//'责任信息'
      },{
        name: 'transferDate',
        title:  mixins.$t('adjustDate'),//'调整日期',
      }]
    },
    buttonList: [{
      name: 'merge',
      title: mixins.$t("add"), //'保存'
  }],
    // 弹出按钮
    pupbuttonList: [{
      name: 'editInventoryAdjustment',
      title: mixins.$t('edit'),//'编辑'
      }, {
        name: 'invaidOrder',
        title: mixins.$t('invaidOrder'),//'作废'
      } , {
        name: 'printedBill',
        title: mixins.$t('printedBill'),//'打印票据'
      } 
     
    ], 
    totallength: 0, //视图下方提醒数量 
    // 路由
    routeObjName: 'inventoryAdjustment', 
       // 主键Id
       primaryKey: 'transferId',
  },
  /**
   * @desc : （编辑）
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  editInventoryAdjustment(e) {
    let item = e
    let id = item.transferId
    // 采购入库 
    wx.navigateTo({
      url: this.data.route.add.url,
      events: {
        // 回调后，在这里给页面赋值
        bandData: function (e) {}
      },
      success: function (res) {
        res.eventChannel.emit('params', {
          id: id,
          formMode: Constants.formMode.edit
        })
      }
    })
  },
 /**
    * @desc : 作废
    * @date : 2024/2/1 15:49
    * @author : 王英杰
    */
   invaidOrder(e) {
    let item = e
    let id = item.transferId
    this.excute(this.data.service, this.data.service.invalid + id, null).then(res => {
      if (res.data.code == Constants.SUCESS_CODE) {
        // 重新查询
        this.searchData()
      }
    })

  },
  /**
   * @desc : 查询
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  getData(params) {
    return this.excute(this.data.service, this.data.service.selectByCond, params);
  },

})